The Spring Framework

## org.springframework.beans
Class NotReadablePropertyException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.core.NestedRuntimeException
                      org.springframework.beans.BeansException
                          org.springframework.beans.FatalBeanException
                              org.springframework.beans.InvalidPropertyException
                                  org.springframework.beans.NotReadablePropertyException

All Implemented Interfaces:
  Serializable

    public class NotReadablePropertyException

extends InvalidPropertyException

Exception thrown on an attempt to get the value of a property that isn't readable, because there's no getter method.

Since:
  1.0.2
Author:
  Juergen Hoeller
See Also:
  Serialized Form

Constructor Summary
`NotReadablePropertyException(Class beanClass, String propertyName)` Create a new NotReadablePropertyException.
`NotReadablePropertyException(Class beanClass, String propertyName, String msg)` Create a new NotReadablePropertyException.

Method Summary

Methods inherited from class org.springframework.beans.InvalidPropertyException
`getBeanClass, getPropertyName`

Methods inherited from class org.springframework.beans.BeansException
`equals, hashCode`

Methods inherited from class org.springframework.core.NestedRuntimeException
`contains, getMessage, getMostSpecificCause, getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NotReadablePropertyException

    public NotReadablePropertyException(Class beanClass,
                                        String propertyName)

  Create a new NotReadablePropertyException.

  Parameters:
    `beanClass` - the offending bean class
    `propertyName` - the offending property

### NotReadablePropertyException

    public NotReadablePropertyException(Class beanClass,
                                        String propertyName,
                                        String msg)

  Create a new NotReadablePropertyException.

  Parameters:
    `beanClass` - the offending bean class
    `propertyName` - the offending property
    `msg` - the detail message

The Spring Framework

Copyright © 2002-2008 The Spring Framework.